Perform SmartSearch with filters

post

/search/smartsearch

Request

Query Parameters
Back to Top

Response

200 Response

SmartSearch results

400 Response

Invalid request
Back to Top

Examples

The following example shows how to perform smart search with filters by submitting a POST request on the REST resource using cURL. For more information about cURL, see "Use cURL".

The -d option specifies the file to attach as the request body.

curl -X POST "hostname:port/search/smartsearch?page=1&limit=10&sortDesc=true&query=control&libraryType=&useSemantic=false" -H "accept: */*" -H "Content-Type: application/json" -d @file.json

Example of the Request Body

The following is an example of the contents of the sampleUpdatePassword.json file sent as the request body.

Example Value
Schema
{
  "query": "Account",
  "libraryType": "STEP",
  "useSemantic": false
}

Example of Response Body

If successful, the response code 201 is returned along with a header. For example:

{
    "original_query": "control",
    "corrected_query": "",
    "count": 1,
    "results": [
        {
            "date": "2026-03-16T11:05:47",
            "score": 17.640151977539062,
            "data": "{}",
            "name": "Control Structures",
            "resource_id": 12,
            "description": " Control Actions",
            "id": 99,
            "source": "STAP",
            "type": "SCENARIO",
            "auto_tags": "",
            "tags": "E2E, Control Structures"
        }
    ]
}

If the request fails, the response includes the appropriate HTTP code.

Back to Top